API ReferenceAgents
Create Agent Webhook
Create the agent's inbound webhook and mint its URL.
Create the agent's inbound webhook and mint its URL.
The URL (which embeds the secret) is shown only once. Each agent has at most one
inbound webhook; returns 409 when it already exists — rotate its secret via
POST /api/v1/agents/{agent_id}/webhooks/rotate instead, or delete and recreate
it.
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
agent_id*Agent Id
Header Parameters
X-API-Key?string|null
Response Body
application/json
application/json
curl -X POST "https://api.levainlabs.com/api/v1/agents/string/webhooks"{
"trigger_id": "string",
"integration_id": "string",
"agent_id": "string",
"url": "string",
"enabled": true,
"created_at": "string"
}